Users: Index
GET /apps/{app_id}/usersPath Parameters
Section titled “Path Parameters”| Name | Type | Required | Description |
|---|---|---|---|
app_id |
string | No | id of pulsate app |
Body Parameters
Section titled “Body Parameters”| Name | Type | Required | Description |
|---|---|---|---|
filter_segments |
string | No | Filter Segment id |
page |
string | No | page number |
per_page |
string | No | page size |
search_query |
string | No | Fetch users whose first name, last name or alias contains the search query text |
sort |
string | No | Sort param to sort users e.g. last_name |
order |
string | No | order records in either ascending order or descending order i.e. asc, desc |
Headers
Section titled “Headers”| Name | Type | Required | Description |
|---|---|---|---|
Authorization |
string | Yes | {my_admin_api_token} |
Content-Type |
string | No | application/json |
Request Example
Section titled “Request Example”curl --request GET \ --url https://control.pulsatehq.com/api/v2/apps/{app_id}/users \ --header 'authorization: Token token={my_admin_api_token}' \ --header 'content-type: application/json'Responses
Section titled “Responses”200
{ "data": [ { "id": "67e58951a46a6fe933ce82a6", "alias": "muzzz_hubspot", "created_at": "2025-03-27T17:22:25Z", "current_city": "Sharqpur", "full_name": "Hubspot, Muz", "last_name": "Hubspot", "last_session_at": "2025-03-27T17:34:02+00:00" } ], "metadata": { "page": 1, "per_page": 50, "total_pages": 1, "total_users": 1, "export_users": null, "segments_list": [ { "id": "67e58b8da46a6f651c97a0bd", "name": "New York City Users Segment" }, { "id": "67e58bb7a46a6f651c97a0c6", "name": "Saving Account Balance is less than 150k" } ] }}
